summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/rule_management/0006replace_1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/rule_management/0006replace_1')
-rwxr-xr-xtests/shell/testcases/rule_management/0006replace_111
1 files changed, 11 insertions, 0 deletions
diff --git a/tests/shell/testcases/rule_management/0006replace_1 b/tests/shell/testcases/rule_management/0006replace_1
new file mode 100755
index 00000000..5dfcba02
--- /dev/null
+++ b/tests/shell/testcases/rule_management/0006replace_1
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+# tests for Netfilter bug #965 and the related fix
+# (regarding rule management with a given position/handle spec)
+
+set -e
+$NFT add table t
+$NFT add chain t c
+# position keyword with replace action is not allowed, this should fail
+$NFT replace rule t c position 2 drop 2>/dev/null
+echo "E: allowed replace with position specification" >&2